Can I Run VBAI Scripts on a Linux Distribution Different to Linux RT?

Updated Mar 25, 2019

Reported In

Software

  • Vision Builder for Automated Inspection
  • Vision Builder for Automated Inspection 2018
  • LabVIEW

Issue Details

  • I have an application that runs on LabVIEW for Linux, and I want to run NI Vision Builder for Automated Inspection (VBAI) scripts on it. Is my VBAI script compatible with Linux distributions that are not Linux RT, e.g., Red Hat, CentOS, etc?
  • Can I run Vision Builder AI on a Linux distribution different than Linux RT?

Solution

Vision Builder AI only runs in Linux RT as long as it is working with hardware that supports VBAI. This means that having Linux RT does not equals to having support for VBAI scripts. 

Vision Builder AI supports the following remote targets:
  • NI CVS-1458RT and 1459RT Compact Vision Systems
  • NI IC-3120, 3121, 3171, 3172, and 3173 Industrial Controllers
  • NI ISC-178x Smart Cameras

Additional Information

To use Vision Builder AI with a remote target, you must use Vision Builder AI to configure the remote target. For more information about using Vision Builder AI to configure the remote target, refer to the documentation included with the remote target or the NI Vision Builder for Automated Inspection Tutorial

WAS THIS ARTICLE HELPFUL?

Not Helpful